---
title: Template Tags
permalink: Template-Tags
---

See the [WordPress Template Tags documentation][url-1] for more information
about working with template tags.

## Core template tags

These template tags are always available, regardless of which components you
have enabled.

- [first_webcomic_link()](first_webcomic_link())
- [get_webcomic_collection_count()](get_webcomic_collection_count())
- [get_webcomic_collection_description()](get_webcomic_collection_description())
- [get_webcomic_collection_link()](get_webcomic_collection_link())
- [get_webcomic_collection_media()](get_webcomic_collection_media())
- [get_webcomic_collection_object()](get_webcomic_collection_object())
- [get_webcomic_collection_options()](get_webcomic_collection_options())
- [get_webcomic_collection_title()](get_webcomic_collection_title())
- [get_webcomic_collection_updated()](get_webcomic_collection_updated())
- [get_webcomic_collection_url()](get_webcomic_collection_url())
- [get_webcomic_collection()](get_webcomic_collection())
- [get_webcomic_collections_list()](get_webcomic_collections_list())
- [get_webcomic_collections()](get_webcomic_collections())
- [get_webcomic_infinite_link()](get_webcomic_infinite_link())
- [get_webcomic_infinite_url()](get_webcomic_infinite_url())
- [get_webcomic_link()](get_webcomic_link())
- [get_webcomic_media()](get_webcomic_media())
- [get_webcomic_url()](get_webcomic_url())
- [get_webcomic()](get_webcomic())
- [get_webcomics_list()](get_webcomics_list())
- [get_webcomics()](get_webcomics())
- [has_webcomic_media()](has_webcomic_media())
- [is_a_first_webcomic()](is_a_first_webcomic())
- [is_a_last_webcomic()](is_a_last_webcomic())
- [is_a_next_webcomic()](is_a_next_webcomic())
- [is_a_previous_webcomic()](is_a_previous_webcomic())
- [is_a_webcomic_media()](is_a_webcomic_media())
- [is_a_webcomic_page()](is_a_webcomic_page())
- [is_a_webcomic()](is_a_webcomic())
- [is_first_webcomic()](is_first_webcomic())
- [is_last_webcomic()](is_last_webcomic())
- [is_next_webcomic()](is_next_webcomic())
- [is_previous_webcomic()](is_previous_webcomic())
- [is_webcomic_collection()](is_webcomic_collection())
- [is_webcomic_media()](is_webcomic_media())
- [is_webcomic_page()](is_webcomic_page())
- [is_webcomic()](is_webcomic())
- [last_webcomic_link()](last_webcomic_link())
- [next_webcomic_link()](next_webcomic_link())
- [previous_webcomic_link()](previous_webcomic_link())
- [random_webcomic_link()](random_webcomic_link())
- [webcomic_collection_count()](webcomic_collection_count())
- [webcomic_collection_description()](webcomic_collection_description())
- [webcomic_collection_exists()](webcomic_collection_exists())
- [webcomic_collection_link()](webcomic_collection_link())
- [webcomic_collection_media()](webcomic_collection_media())
- [webcomic_collection_title()](webcomic_collection_title())
- [webcomic_collection_updated()](webcomic_collection_updated())
- [webcomic_collections_list()](webcomic_collections_list())
- [webcomic_compat()](webcomic_compat())
- [webcomic_error()](webcomic_error())
- [webcomic_help()](webcomic_help())
- [webcomic_infinite_link()](webcomic_infinite_link())
- [webcomic_init()](webcomic_init())
- [webcomic_link()](webcomic_link())
- [webcomic_load()](webcomic_load())
- [webcomic_media()](webcomic_media())
- [webcomic_notice()](webcomic_notice())
- [webcomic_reset_postdata()](webcomic_reset_postdata())
- [webcomic_setup_postdata()](webcomic_setup_postdata())
- [webcomic()](webcomic())
- [webcomics_list()](webcomics_list())

## Character template tags

These template tags are available with the Character component.

- [first_webcomic_character_link()](first_webcomic_character_link())
- [get_webcomic_character_count()](get_webcomic_character_count())
- [get_webcomic_character_description()](get_webcomic_character_description())
- [get_webcomic_character_link()](get_webcomic_character_link())
- [get_webcomic_character_media()](get_webcomic_character_media())
- [get_webcomic_character_title()](get_webcomic_character_title())
- [get_webcomic_character_updated()](get_webcomic_character_updated())
- [get_webcomic_character_url()](get_webcomic_character_url())
- [get_webcomic_character()](get_webcomic_character())
- [get_webcomic_characters_list()](get_webcomic_characters_list())
- [get_webcomic_characters()](get_webcomic_characters())
- [has_webcomic_character()](has_webcomic_character())
- [is_a_first_webcomic_character()](is_a_first_webcomic_character())
- [is_a_last_webcomic_character()](is_a_last_webcomic_character())
- [is_a_next_webcomic_character()](is_a_next_webcomic_character())
- [is_a_previous_webcomic_character()](is_a_previous_webcomic_character())
- [is_a_webcomic_character()](is_a_webcomic_character())
- [is_first_webcomic_character()](is_first_webcomic_character())
- [is_last_webcomic_character()](is_last_webcomic_character())
- [is_next_webcomic_character()](is_next_webcomic_character())
- [is_previous_webcomic_character()](is_previous_webcomic_character())
- [is_webcomic_character()](is_webcomic_character())
- [last_webcomic_character_link()](last_webcomic_character_link())
- [next_webcomic_character_link()](next_webcomic_character_link())
- [previous_webcomic_character_link()](previous_webcomic_character_link())
- [random_webcomic_character_link()](random_webcomic_character_link())
- [webcomic_character_count()](webcomic_character_count())
- [webcomic_character_description()](webcomic_character_description())
- [webcomic_character_link()](webcomic_character_link())
- [webcomic_character_media()](webcomic_character_media())
- [webcomic_character_title()](webcomic_character_title())
- [webcomic_character_updated()](webcomic_character_updated())
- [webcomic_characters_list()](webcomic_characters_list())

## Commerce template tags

These template tags are available with the Commerce component.

- [get_webcomic_collection_cart_link()](get_webcomic_collection_cart_link())
- [get_webcomic_collection_cart_url()](get_webcomic_collection_cart_url())
- [get_webcomic_collection_currency()](get_webcomic_collection_currency())
- [get_webcomic_collection_donation_link()](get_webcomic_collection_donation_link())
- [get_webcomic_collection_donation_url()](get_webcomic_collection_donation_url())
- [get_webcomic_collection_donation()](get_webcomic_collection_donation())
- [get_webcomic_collection_print_name()](get_webcomic_collection_print_name())
- [get_webcomic_collection_print_price()](get_webcomic_collection_print_price())
- [get_webcomic_collection_print_stock()](get_webcomic_collection_print_stock())
- [get_webcomic_collection_print()](get_webcomic_collection_print())
- [get_webcomic_collection_prints()](get_webcomic_collection_prints())
- [get_webcomic_print_adjust()](get_webcomic_print_adjust())
- [get_webcomic_print_left()](get_webcomic_print_left())
- [get_webcomic_print_price()](get_webcomic_print_price())
- [get_webcomic_print_sold()](get_webcomic_print_sold())
- [get_webcomic_prints_list()](get_webcomic_prints_list())
- [get_webcomic_prints()](get_webcomic_prints())
- [has_webcomic_print()](has_webcomic_print())
- [webcomic_collection_cart_link()](webcomic_collection_cart_link())
- [webcomic_collection_currency()](webcomic_collection_currency())
- [webcomic_collection_donation_link()](webcomic_collection_donation_link())
- [webcomic_collection_donation()](webcomic_collection_donation())
- [webcomic_collection_print_name()](webcomic_collection_print_name())
- [webcomic_collection_print_price()](webcomic_collection_print_price())
- [webcomic_collection_print_stock()](webcomic_collection_print_stock())
- [webcomic_print_adjust()](webcomic_print_adjust())
- [webcomic_print_left()](webcomic_print_left())
- [webcomic_print_price()](webcomic_print_price())
- [webcomic_print_sold()](webcomic_print_sold())
- [webcomic_prints_list()](webcomic_prints_list())

## Restrict template tags

These template tags are available with the Restrict component.

- [get_webcomic_age()](get_webcomic_age())
- [get_webcomic_roles()](get_webcomic_roles())
- [webcomic_age_required()](webcomic_age_required())
- [webcomic_age()](webcomic_age())
- [webcomic_roles_required()](webcomic_roles_required())

## Storyline template tags

These template tags are available with the Storyline component.

- [first_webcomic_storyline_link()](first_webcomic_storyline_link())
- [get_webcomic_storyline_count()](get_webcomic_storyline_count())
- [get_webcomic_storyline_description()](get_webcomic_storyline_description())
- [get_webcomic_storyline_link()](get_webcomic_storyline_link())
- [get_webcomic_storyline_media()](get_webcomic_storyline_media())
- [get_webcomic_storyline_title()](get_webcomic_storyline_title())
- [get_webcomic_storyline_updated()](get_webcomic_storyline_updated())
- [get_webcomic_storyline_url()](get_webcomic_storyline_url())
- [get_webcomic_storyline()](get_webcomic_storyline())
- [get_webcomic_storylines_list()](get_webcomic_storylines_list())
- [get_webcomic_storylines()](get_webcomic_storylines())
- [has_webcomic_storyline()](has_webcomic_storyline())
- [is_a_first_webcomic_storyline()](is_a_first_webcomic_storyline())
- [is_a_last_webcomic_storyline()](is_a_last_webcomic_storyline())
- [is_a_next_webcomic_storyline()](is_a_next_webcomic_storyline())
- [is_a_previous_webcomic_storyline()](is_a_previous_webcomic_storyline())
- [is_a_webcomic_storyline()](is_a_webcomic_storyline())
- [is_first_webcomic_storyline()](is_first_webcomic_storyline())
- [is_last_webcomic_storyline()](is_last_webcomic_storyline())
- [is_next_webcomic_storyline()](is_next_webcomic_storyline())
- [is_previous_webcomic_storyline()](is_previous_webcomic_storyline())
- [is_webcomic_storyline()](is_webcomic_storyline())
- [last_webcomic_storyline_link()](last_webcomic_storyline_link())
- [next_webcomic_storyline_link()](next_webcomic_storyline_link())
- [previous_webcomic_storyline_link()](previous_webcomic_storyline_link())
- [random_webcomic_storyline_link()](random_webcomic_storyline_link())
- [webcomic_storyline_count()](webcomic_storyline_count())
- [webcomic_storyline_description()](webcomic_storyline_description())
- [webcomic_storyline_link()](webcomic_storyline_link())
- [webcomic_storyline_media()](webcomic_storyline_media())
- [webcomic_storyline_title()](webcomic_storyline_title())
- [webcomic_storyline_updated()](webcomic_storyline_updated())
- [webcomic_storylines_list()](webcomic_storylines_list())

## Taxonomy template tags

These template tags are available with both the Character and Storyline
components.

- [first_webcomic_term_link()](first_webcomic_term_link())
- [get_webcomic_term_count()](get_webcomic_term_count())
- [get_webcomic_term_description()](get_webcomic_term_description())
- [get_webcomic_term_link()](get_webcomic_term_link())
- [get_webcomic_term_media()](get_webcomic_term_media())
- [get_webcomic_term_title()](get_webcomic_term_title())
- [get_webcomic_term_updated()](get_webcomic_term_updated())
- [get_webcomic_term_url()](get_webcomic_term_url())
- [get_webcomic_term()](get_webcomic_term())
- [get_webcomic_terms_list()](get_webcomic_terms_list())
- [get_webcomic_terms()](get_webcomic_terms())
- [has_webcomic_term()](has_webcomic_term())
- [is_a_first_webcomic_term()](is_a_first_webcomic_term())
- [is_a_last_webcomic_term()](is_a_last_webcomic_term())
- [is_a_next_webcomic_term()](is_a_next_webcomic_term())
- [is_a_previous_webcomic_term()](is_a_previous_webcomic_term())
- [is_a_webcomic_term()](is_a_webcomic_term())
- [is_first_webcomic_tax()](is_first_webcomic_tax())
- [is_last_webcomic_tax()](is_last_webcomic_tax())
- [is_next_webcomic_tax()](is_next_webcomic_tax())
- [is_previous_webcomic_tax()](is_previous_webcomic_tax())
- [is_webcomic_tax()](is_webcomic_tax())
- [last_webcomic_term_link()](last_webcomic_term_link())
- [next_webcomic_term_link()](next_webcomic_term_link())
- [previous_webcomic_term_link()](previous_webcomic_term_link())
- [random_webcomic_term_link()](random_webcomic_term_link())
- [webcomic_taxonomy_exists()](webcomic_taxonomy_exists())
- [webcomic_term_count()](webcomic_term_count())
- [webcomic_term_description()](webcomic_term_description())
- [webcomic_term_link()](webcomic_term_link())
- [webcomic_term_media()](webcomic_term_media())
- [webcomic_term_title()](webcomic_term_title())
- [webcomic_term_updated()](webcomic_term_updated())
- [webcomic_terms_list()](webcomic_terms_list())

## Transcribe template tags

These template tags are available with the Transcribe component.

- [get_webcomic_transcript_authors_list()](get_webcomic_transcript_authors_list())
- [get_webcomic_transcript_authors()](get_webcomic_transcript_authors())
- [get_webcomic_transcript_form()](get_webcomic_transcript_form())
- [get_webcomic_transcript_languages_list()](get_webcomic_transcript_languages_list())
- [get_webcomic_transcript_languages()](get_webcomic_transcript_languages())
- [get_webcomic_transcript_terms_list()](get_webcomic_transcript_terms_list())
- [get_webcomic_transcript_terms()](get_webcomic_transcript_terms())
- [get_webcomic_transcript()](get_webcomic_transcript())
- [get_webcomic_transcripts_list()](get_webcomic_transcripts_list())
- [get_webcomic_transcripts()](get_webcomic_transcripts())
- [has_webcomic_transcript_language()](has_webcomic_transcript_language())
- [has_webcomic_transcript_term()](has_webcomic_transcript_term())
- [has_webcomic_transcripts()](has_webcomic_transcripts())
- [is_a_webcomic_transcript()](is_a_webcomic_transcript())
- [webcomic_transcript_authors_list()](webcomic_transcript_authors_list())
- [webcomic_transcript_form()](webcomic_transcript_form())
- [webcomic_transcript_languages_list()](webcomic_transcript_languages_list())
- [webcomic_transcript_taxonomy_exists()](webcomic_transcript_taxonomy_exists())
- [webcomic_transcript_term_list()](webcomic_transcript_term_list())
- [webcomic_transcripts_list()](webcomic_transcripts_list())
- [webcomic_transcripts_open()](webcomic_transcripts_open())

[url-1]: https://codex.wordpress.org/Template_Tags
